Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VMPP.Record

    java.lang.Object
      com.xensource.xenapi.VMPP.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VMPP

    public static class VMPP.Record

extends Object
implements Types.Record

Represents all the fields in a VMPP

Field Summary
`Map<String,String>` | `alarmConfig` configuration for the alarm
`Types.VmppArchiveFrequency` | `archiveFrequency` frequency of the archive schedule
`Date` | `archiveLastRunTime` time of the last archive
`Map<String,String>` | `archiveSchedule` schedule of the archive containing 'hour', 'min', 'days'.
`Map<String,String>` | `archiveTargetConfig` configuration for the archive, including its 'location', 'username', 'password'
`Types.VmppArchiveTargetType` | `archiveTargetType` type of the archive target config
`Types.VmppBackupFrequency` | `backupFrequency` frequency of the backup schedule
`Date` | `backupLastRunTime` time of the last backup
`Long` | `backupRetentionValue` maximum number of backups that should be stored at any time
`Map<String,String>` | `backupSchedule` schedule of the backup containing 'hour', 'min', 'days'.
`Types.VmppBackupType` | `backupType` type of the backup sub-policy
`Boolean` | `isAlarmEnabled` true if alarm is enabled for this policy
`Boolean` | `isArchiveRunning` true if this protection policy's archive is running
`Boolean` | `isBackupRunning` true if this protection policy's backup is running
`Boolean` | `isPolicyEnabled` enable or disable this policy
`String` | `nameDescription` a notes field containing human-readable description
`String` | `nameLabel` a human-readable name
`Set<String>` | `recentAlerts` recent alerts
`String` | `uuid` Unique identifier/object reference
`Set<VM>` | `VMs` all VMs attached to this protection policy

Constructor Summary
`VMPP.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VMPP.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  a human-readable name

### nameDescription

    public String nameDescription

  a notes field containing human-readable description

### isPolicyEnabled

    public Boolean isPolicyEnabled

  enable or disable this policy

### backupType

    public Types.VmppBackupType backupType

  type of the backup sub-policy

### backupRetentionValue

    public Long backupRetentionValue

  maximum number of backups that should be stored at any time

### backupFrequency

    public Types.VmppBackupFrequency backupFrequency

  frequency of the backup schedule

### backupSchedule

    public Map<String,String> backupSchedule

  schedule of the backup containing 'hour', 'min', 'days'. Date/time-related information is in XenServer Local Timezone

### isBackupRunning

    public Boolean isBackupRunning

  true if this protection policy's backup is running

### backupLastRunTime

    public Date backupLastRunTime

  time of the last backup

### archiveTargetType

    public Types.VmppArchiveTargetType archiveTargetType

  type of the archive target config

### archiveTargetConfig

    public Map<String,String> archiveTargetConfig

  configuration for the archive, including its 'location', 'username', 'password'

### archiveFrequency

    public Types.VmppArchiveFrequency archiveFrequency

  frequency of the archive schedule

### archiveSchedule

    public Map<String,String> archiveSchedule

  schedule of the archive containing 'hour', 'min', 'days'. Date/time-related information is in XenServer Local Timezone

### isArchiveRunning

    public Boolean isArchiveRunning

  true if this protection policy's archive is running

### archiveLastRunTime

    public Date archiveLastRunTime

  time of the last archive

### VMs

    public Set<VM> VMs

  all VMs attached to this protection policy

### isAlarmEnabled

    public Boolean isAlarmEnabled

  true if alarm is enabled for this policy

### alarmConfig

    public Map<String,String> alarmConfig

  configuration for the alarm

### recentAlerts

    public Set<String> recentAlerts

  recent alerts

Constructor Detail

### VMPP.Record

    public VMPP.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VMPP.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD